"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require("inquirer");
const fuzzy = require("fuzzy");
inquirer.registerPrompt('autocomplete', require('inquirer-autocomplete-prompt'));
function singleSelection(keys, msg) {
    return __awaiter(this, void 0, void 0, function* () {
        const answers = yield inquirer.prompt([
            {
                type: "autocomplete",
                name: "key",
                message: msg,
                source: (answers, input) => {
                    const fuzzyResult = fuzzy.filter(input || '', keys);
                    return Promise.resolve(fuzzyResult.map(el => el.original));
                },
                pageSize: 12,
                validate(val) {
                    return val ? true : "You must choose.";
                }
            }
        ]);
        return answers.key;
    });
}
exports.singleSelection = singleSelection;
//# sourceMappingURL=single.js.map